Index: /trunk/umn/alkis/alkis_muster_entw.map
===================================================================
--- /trunk/umn/alkis/alkis_muster_entw.map	(revision 284)
+++ /trunk/umn/alkis/alkis_muster_entw.map	(revision 285)
@@ -17,4 +17,5 @@
 # 2013-03-11 F.J. krz  Neuer Layer "ax_gebaeude_txt" (Funktion und Name zum GebÃ€ude)
 # 2013-04-18 F.J. krz  Thema (Gruppe) "BodenschÃ€tzung" wurde ÃŒberarbeitet und vor Gruppe "FlurstÃŒcke" verschoben
+# 2013-06-19 F.J. krz  Layer "ax_untergeordnetesgewaesser_polygon"/"*_line" nach Geometrietyp filtern nicht nach funktion
 
 ###
@@ -1313,11 +1314,8 @@
 	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
 	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
-	# Feld funktion, Werte 1010, 1030, 1040
-	# Statt EXPRESSION filtern besser gleich als WHERE in SQL
+	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser WHERE st_geometrytype(wkb_geometry) = 'ST_Polygon') as foo using unique ogc_fid using SRID=25832"
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
 		wms_title "Untergeordnetes GewÃ€sser (FlÃ€chen)"
-		#wms_group_title "Untergeordnetes GewÃ€sser"
 		wms_abstract "UntergeordnetesGewaesser' ist ein stehendes oder flieÃendes GewÃ€sser mit untergeordneter Bedeutung."
 		gml_include_items "all"
@@ -1327,7 +1325,8 @@
 	MINSCALEDENOM 50
 	MAXSCALEDENOM 5000
-	CLASS
-		NAME "Untergeordnetes GewÃ€sser"
-		EXPRESSION ('[funktion]' = '1010')
+	CLASSITEM funktion
+	CLASS
+		NAME "Graben"
+		EXPRESSION ('[funktion]' >= '1010' AND '[funktion]' <= '1013')
 		STYLE
 			COLOR 227 255 255
@@ -1335,5 +1334,37 @@
 		END
 	END
-END
+	CLASS # ToDo: Klassen differenzieren? nach Farbe?
+		NAME "Fleet"
+		EXPRESSION '1020'
+		STYLE
+			COLOR 227 255 255
+			OUTLINECOLOR 0 204 204
+		END
+	END
+	CLASS
+		NAME "Bach"
+		EXPRESSION '1030'
+		STYLE
+			COLOR 227 255 255
+			OUTLINECOLOR 0 204 204
+		END
+	END
+	CLASS
+		NAME "Teich"
+		EXPRESSION '1040'
+		STYLE
+			COLOR 227 255 255
+			OUTLINECOLOR 0 204 204
+		END
+	END
+END
+# SQL: SELECT DISTINCT funktion, st_geometrytype(wkb_geometry) FROM ax_untergeordnetesgewaesser;
+#  "ST_Polygon"    1010;1030;1040;
+#  "ST_LineString" 1010;1030;
+# 'Funktion' ist die objektiv erkennbare Art von 'UntergeordnetesGewaesser'.
+# Graben=1010; Grabenkante,rechts=1011; Grabenkante,links=1012; Grabenmitte=1013
+# Fleet=1020
+# Bach=1030
+# Teich=1040
 LAYER
 	NAME "ax_untergeordnetesgewaesser_line"
@@ -1344,6 +1375,5 @@
 	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
 	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
-	# ToDo: Statt EXPRESSION filtern besser gleich als WHERE in SQL
+	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser WHERE st_geometrytype(wkb_geometry) = 'ST_LineString') as foo using unique ogc_fid using SRID=25832"
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
@@ -1356,12 +1386,33 @@
 	MINSCALEDENOM 50
 	MAXSCALEDENOM 5000
-	# Feld funktion, Werte 1010, 1030, 1040
-	CLASS
-		NAME "Untergeordnetes GewÃ€sser" 
-		EXPRESSION ('[funktion]' = '1010')
+	CLASSITEM funktion
+	CLASS
+		NAME "Graben"
+		EXPRESSION ('[funktion]' >= '1010' AND '[funktion]' <= '1013')
 		STYLE
 			COLOR 0 204 204
 		END
 	END
+	CLASS # ToDo: Klassen differenzieren? nach Farbe?
+		NAME "Fleet"
+		EXPRESSION '1020'
+		STYLE
+			COLOR 0 204 204
+		END
+	END
+	CLASS
+		NAME "Bach"
+		EXPRESSION '1030'
+		STYLE
+			COLOR 0 204 204
+		END
+	END
+	#CLASS
+	#	NAME "Teich"
+	#	EXPRESSION '1040'
+	#	STYLE
+	#		COLOR 0 204 204
+	#	END
+	#END
 END
 
@@ -2300,5 +2351,5 @@
 	END
 	MINSCALEDENOM 50
-	MAXSCALEDENOM 2500
+	MAXSCALEDENOM 1500 # wie der zuzuordnende Text
 	CLASS
 		NAME "Zuordnungspfeile"
Index: /trunk/umn/alkis/alkis_muster_entw_4.map
===================================================================
--- /trunk/umn/alkis/alkis_muster_entw_4.map	(revision 284)
+++ /trunk/umn/alkis/alkis_muster_entw_4.map	(revision 285)
@@ -1,4 +1,4 @@
 # WMS: ALKIS PostNAS Muster mit Platzhalter *gkz* fÃŒr Mandant - Druckversion zur Entwickler-Version
-# 2013-04-17 F.J. krz  Thema (Gruppe) "BodenschÃ€tzung" wurde ÃŒberarbeitet und vor Gruppe "FlurstÃŒcke" verschoben
+# 2013-06-19 F.J. krz  Layer "ax_untergeordnetesgewaesser_polygon"/"*_line" nach Geometrietyp filtern nicht nach funktion
 MAP
 	NAME "alkis"
@@ -1082,7 +1082,5 @@
 	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
 	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
-	# Feld funktion, Werte 1010, 1030, 1040
-	# Statt EXPRESSION filtern besser gleich als WHERE in SQL
+	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser WHERE st_geometrytype(wkb_geometry) = 'ST_Polygon') as foo using unique ogc_fid using SRID=25832"
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
@@ -1094,7 +1092,32 @@
 	MINSCALEDENOM 0
 	MAXSCALEDENOM 1250 #5000
-	CLASS
-		NAME "Untergeordnetes GewÃ€sser"
-		EXPRESSION ('[funktion]' = '1010')
+	CLASSITEM funktion
+	CLASS
+		NAME "Graben"
+		EXPRESSION ('[funktion]' >= '1010' AND '[funktion]' <= '1013')
+		STYLE
+			COLOR 227 255 255
+			OUTLINECOLOR 0 204 204
+		END
+	END
+	CLASS # ToDo: Klassen differenzieren? nach Farbe?
+		NAME "Fleet"
+		EXPRESSION '1020'
+		STYLE
+			COLOR 227 255 255
+			OUTLINECOLOR 0 204 204
+		END
+	END
+	CLASS
+		NAME "Bach"
+		EXPRESSION '1030'
+		STYLE
+			COLOR 227 255 255
+			OUTLINECOLOR 0 204 204
+		END
+	END
+	CLASS
+		NAME "Teich"
+		EXPRESSION '1040'
 		STYLE
 			COLOR 227 255 255
@@ -1110,5 +1133,5 @@
 	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
 	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser) as foo using unique ogc_fid using SRID=25832"
+	DATA "wkb_geometry from (SELECT ogc_fid, funktion, wkb_geometry FROM ax_untergeordnetesgewaesser WHERE st_geometrytype(wkb_geometry) = 'ST_LineString') as foo using unique ogc_fid using SRID=25832"
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
@@ -1120,12 +1143,33 @@
 	MINSCALEDENOM 12 #50
 	MAXSCALEDENOM 1250 #5000
-	# Feld funktion, Werte 1010, 1030, 1040
-	CLASS
-		NAME "Untergeordnetes GewÃ€sser"
-		EXPRESSION ('[funktion]' = '1010')
+	CLASSITEM funktion
+	CLASS
+		NAME "Graben"
+		EXPRESSION ('[funktion]' >= '1010' AND '[funktion]' <= '1013')
 		STYLE
 			COLOR 0 204 204
 		END
 	END
+	CLASS # ToDo: Klassen differenzieren? nach Farbe?
+		NAME "Fleet"
+		EXPRESSION '1020'
+		STYLE
+			COLOR 0 204 204
+		END
+	END
+	CLASS
+		NAME "Bach"
+		EXPRESSION '1030'
+		STYLE
+			COLOR 0 204 204
+		END
+	END
+	#CLASS
+	#	NAME "Teich"
+	#	EXPRESSION '1040'
+	#	STYLE
+	#		COLOR 0 204 204
+	#	END
+	#END
 END
 
@@ -1854,9 +1898,7 @@
 		NAME "Besondere GebÃ€udelinie"
 		STYLE
-		#	SYMBOL 0
 			COLOR 0 0 0
 		END
 		STYLE
-		#	SYMBOL 'point'
 			COLOR 254 254 254
 			PATTERN 12 24 END # 3 6 
@@ -1956,6 +1998,6 @@
 		gml_include_items "all"
 	END
-	MINSCALEDENOM 50
-	MAXSCALEDENOM 1500
+	MINSCALEDENOM 12 # 50
+	MAXSCALEDENOM 325 # 1500
 	SYMBOLSCALEDENOM 1000
 	#LABELITEM "laufendenummer"
@@ -1992,6 +2034,6 @@
 	#PROJECTION "init=epsg:25832" END
 	#EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 50
-	MAXSCALEDENOM 2500
+	MINSCALEDENOM 12 # 50
+	MAXSCALEDENOM 325 # 1500
 	CLASS
 		NAME "Zuordnungspfeile"