Index: trunk/info/info/alkis/alkisfsnw.php
===================================================================
--- trunk/info/info/alkis/alkisfsnw.php	(revision 286)
+++ trunk/info/info/alkis/alkisfsnw.php	(revision 287)
@@ -17,4 +17,5 @@
 	2013-04-11  ID-Links (im Testmodus) auch an Lagebezeichnung (mit/ohne HsNr) und an Nutzungs-Abschnitt
 	2013-06-24  Unna: Bodenneuordnung, strittige Grenze
+	2013-06-27	Bodenneuordnung u. stritt.Gr. in Tabellen-Struktur, Link zur Bodenerneuerung (neues Modul)
 
 	ToDo:
@@ -25,5 +26,4 @@
 */
 session_start();
-//import_request_variables("G"); // php 5.3 deprecated, php 5.4 entfernt
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -55,5 +55,5 @@
 <body>
 END;
-//if ($debug > 0) {echo "<p>Habe ".$cntget." Parameter per 'get' bekommen<p>";}
+
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
@@ -479,5 +479,5 @@
 echo "\n<tr>"; // Summenzeile
 	echo "\n\t<td class='ll' title='amtliche Fl&auml;che (Buchfl&auml;che)'>Fl&auml;che:</td>";
-	echo "\n\t<td class='fla'>";
+	echo "\n\t<td class='fla sum'>";
 	echo "<span title='geometrisch berechnete Fl&auml;che = ".$fsgeomflaed."' class='flae'>".$fsbuchflaed."</span></td>";
 
@@ -493,31 +493,102 @@
 echo "\n</tr>";
 
+// Hinweis auf Bodenneuordnung oder eine strittige Grenze
+//  b.name, b.artderfestlegung, 
+
+$sql_boden ="SELECT a.wert, a.bezeichner AS art_verf, ";
+$sql_boden.="b.gml_id AS verf_gml, b.bezeichnung AS verf_bez, b.name AS verf_name, ";
+$sql_boden.="d.bezeichnung AS stelle_bez, d.stelle AS stelle_key ";
+$sql_boden.="FROM ax_bauraumoderbodenordnungsrecht b JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON a.wert = b.artderfestlegung ";
+$sql_boden.="LEFT JOIN ax_dienststelle d ON b.stelle = d.stelle ";
+$sql_boden.="WHERE ST_Within((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1),wkb_geometry) ";
+$sql_boden.="OR ST_Overlaps((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1),wkb_geometry)";
+pg_prepare($con, "bodeneuordnung", $sql_boden);
+$res_bodeneuordnung = pg_execute($con, "bodeneuordnung", array($gmlid));
+
+$sql_str = "SELECT gml_id FROM ax_besondereflurstuecksgrenze WHERE 1000 = ANY(artderflurstuecksgrenze) AND ST_touches((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1),wkb_geometry);";
+pg_prepare($con, "strittigeGrenze", $sql_str);
+$res_strittigeGrenze = pg_execute($con, "strittigeGrenze", array($gmlid));
+
+// Testfall suchen: FlurstÃŒcke mit strittigen Grenzen
+// SELECT f.gml_id  FROM ax_flurstueck f WHERE ST_touches(f.wkb_geometry, (SELECT g.wkb_geometry FROM ax_besondereflurstuecksgrenze g WHERE 1000 = ANY(g.artderflurstuecksgrenze))) LIMIT 20;
+// alkis 150:
+// str.Gr:  DENW17AL0000Vvbw   DENW17AL0000VrG6  DENW17AL0000ViIt
+// Verf.:   DENW17AL0000VyQe
+
+if (pg_num_rows($res_bodeneuordnung) > 0 OR pg_num_rows($res_strittigeGrenze) > 0) {
+	echo "\n<tr>";
+	echo "\n\t<td title='Hinweise zum Flurst&uuml;ck'><h6><img src='ico/Hinweis.ico' width='16' height='16' alt=''> ";
+	echo "Hinweise:</td></h6>\n\t<td colspan=3>&nbsp;</td>";
+	echo "\n</tr>";
+
+	if (pg_num_rows($res_bodeneuordnung) > 0) {
+
+		while ($row = pg_fetch_array($res_bodeneuordnung)) { // 3 Zeilen je Verfahren
+
+			// Zeile 1 - kommt immer, darum hier den Link
+			echo "\n<tr title='Bau-, Raum- oder Bodenordnungsrecht'>";
+				echo "\n\t<td>Bodenrecht:</td>";
+				echo "\n\t<td>Festlegung</td>"; // "Art der Festlegung" zu lang
+				echo "\n\t<td>";
+					if ($showkey) {echo "<span class='key'>(".$row['wert'].")</span> ";}
+					echo $row['art_verf'];
+				echo "</td>";
+				echo "\n\t<td>";
+				// LINK:
+				echo "\n\t\t<p class='nwlink noprint'>";
+					echo "\n\t\t\t<a href='alkisbaurecht.php?gkz=".$gkz."&amp;gmlid=".$row['verf_gml'];
+					if ($idanzeige) {echo "&amp;id=j";}
+					if ($showkey) {echo "&amp;showkey=j";}
+					echo "' title='Bau-, Raum- oder Bodenordnungsrecht'>Recht <img src='ico/Gericht.ico' width='16' height='16' alt=''></a>";
+				echo "\n\t\t</p>";			
+				echo "</td>";
+			echo "\n</tr>";
+
+			// Zeile 2
+			$dstell=$row['stelle_key']; // LEFT JOIN
+			if ($dstell != "") { // Kann auch leer sein
+				echo "\n<tr title='Flurbereinigungsbeh&ouml;rde'>";
+					echo "\n\t<td>&nbsp;</td>";
+					echo "\n\t<td>Dienststelle</td>";
+					echo "\n\t<td>";
+						if ($showkey) {echo "<span class='key'>(".$dstell.")</span> ";}
+						echo $row['stelle_bez'];
+					echo "</td>";
+					echo "\n\t<td>&nbsp;</td>";
+				echo "\n</tr>";
+			}
+
+			// Zeile 3
+			$vbez=$row['verf_bez']; // ist nicht immer gefÃŒllt
+			$vnam=$row['verf_name']; // noch seltener
+			if ($vbez != "") {
+				echo "\n<tr title='Verfahrensbezeichnung'>";
+					echo "\n\t<td>&nbsp;</td>\n\t<td>Verfahren</td>";
+					echo "\n\t<td>";
+						if ($vnam == "") {
+							echo $vbez; // nur die Nummer
+						} else {	// Name oder beides
+							if ($showkey) {echo "<span class='key'>(".$vbez.")</span> ";}
+							echo $vnam;
+						}
+		 			echo "</td>";
+					echo "\n\t<td>&nbsp;</td>";
+				echo "\n</tr>";
+			}
+		}
+	}
+
+	if (pg_num_rows($res_strittigeGrenze) > 0) { // 1 Zeile
+		echo "\n<tr>";
+		echo "\n<td>Strittige Grenze:</td>";
+		echo "<td colspan=2>Mindestens eine Flurst&uuml;cksgrenze ist als <b>strittig</b> zu bezeichnen. Sie kann nicht festgestellt werden, weil die Beteiligten sich nicht &uuml;ber den Verlauf einigen. Nach sachverst&auml;ndigem Ermessen der Katasterbeh&ouml;rde ist anzunehmen, dass das Liegenschaftskataster nicht die rechtm&auml;&szlig;ige Grenze nachweist.</td>";
+		echo "\n<td>&nbsp;</td>";
+		echo "\n</tr>";
+	}
+}
+
+// Erweiterung Kreis Unna - Ende
+
 echo "\n</table>";
-
-// ALB: KLASSIFIZIERUNG  BAULASTEN  HINWEISE  TEXTE  VERFAHREN
-
-// Hinweis auf Bodenneuordnung oder eine strittige Grenze (Erweiterung Kreis Unna)
-$sql_bodeneuordnung = "SELECT a.bezeichner as verfahren,b.bezeichnung as verfahren_nr,d.bezeichnung as stelle FROM ax_bauraumoderbodenordnungsrecht b JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON a.wert = b.artderfestlegung JOIN ax_dienststelle d ON b.stelle = d.stelle WHERE 	ST_Within((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1),wkb_geometry) OR 	ST_Overlaps((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1),wkb_geometry)";
-pg_prepare($con, "bodeneuordnung", $sql_bodeneuordnung);
-$res_bodeneuordnung = pg_execute($con, "bodeneuordnung", array($gmlid));
-
-$sql_strittigeGrenze = "SELECT gml_id FROM ax_besondereflurstuecksgrenze WHERE 1000 = ANY(artderflurstuecksgrenze) AND ST_touches((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1),wkb_geometry);";
-pg_prepare($con, "strittigeGrenze", $sql_strittigeGrenze);
-$res_strittigeGrenze = pg_execute($con, "strittigeGrenze", array($gmlid));
-
-if (pg_num_rows($res_bodeneuordnung) > 0 OR pg_num_rows($res_strittigeGrenze) > 0) {
-	echo "\n<h5>Hinweise zum Flurst&uuml;ck</h5>\n";
-	if (pg_num_rows($res_bodeneuordnung) > 0) {
-		while ($row = pg_fetch_array($res_bodeneuordnung)) {
-			echo "<p>" . $row['verfahren'] . "</p>";
-			echo "<p>Flurbereinigungsbeh&ouml;rde: " . $row['stelle'] . "</p>";
-			echo "<p>Verfahrensbezeichnung: " . $row['verfahren_nr'] . "</p>";
-		}
-	}
-	if (pg_num_rows($res_strittigeGrenze) > 0) {
-		echo "<p>Mindestens eine Flurst&uuml;cksgrenze ist als <b>strittig</b> zu bezeichnen. Sie kann nicht festgestellt werden, weil die Beteiligten sich nicht &uuml;ber den Verlauf einigen. Nach sachverst&auml;ndigem Ermessen der Katasterbeh&ouml;rde ist anzunehmen, dass das Liegenschaftskataster nicht die rechtm&auml;&szlig;ige Grenze nachweist.</p>";
-	}
-}
-// Erweiterung Kreis Unna - Ende
 
 // G R U N D B U C H
Index: trunk/info/info/alkis/alkisauszug.css
===================================================================
--- trunk/info/info/alkis/alkisauszug.css	(revision 286)
+++ trunk/info/info/alkis/alkisauszug.css	(revision 287)
@@ -3,10 +3,11 @@
 
 	Version:
-	21.09.2010  Inlay
-	30.09.2010  body-width bei Print
-	12.10.2010  class p.fsd: margin statt position-relative, dann keine Scrollbar
-	04.01.2011  Spalte td.fla im fsnw
-	26.01.2011  einheitlich td padding-top 6px
-	16.11.2011  FS-Historie
+	2010-09-21	Inlay
+	2010-09-30	body-width bei Print
+	2010-10-12	class p.fsd: margin statt position-relative, dann keine Scrollbar
+	2011-01-04	Spalte td.fla im fsnw
+	2011-01-26	einheitlich td padding-top 6px
+	2011-11-16	FS-Historie
+	2013-06-27	p.recht
 */
 body	{background-color: #FDFFFD;}
@@ -15,12 +16,13 @@
 
 /* ** Banner im Kopf (Balken), Farbcode fuer Nachweis-Art ** */
-p.fsausk		{text-align: right; background: teal;	color: silver;}	/* Uebersichts-Seite Flurstuecks-Auskunft */
-p.fskennz	{text-align: right; background: navy;	color: silver;}	/* Flurstuecks-Nachweis */
-p.fsei		{text-align: right; background: olive;	color: silver;}	/* Flurstuecks- und Eigentuemer-Nachweis */
-p.fshis		{text-align: right; background: gray;	color: white;}		/* Flurstuecks-Historie */
-p.gbkennz	{text-align: right; background: green;	color: silver;}	/* Bestandsnachweis */
+p.fsausk		{text-align: right; background: teal;	 color: silver;}	/* Uebersichts-Seite Flurstuecks-Auskunft */
+p.fskennz	{text-align: right; background: navy;	 color: silver;}	/* Flurstuecks-Nachweis */
+p.fsei		{text-align: right; background: olive;	 color: silver;}	/* Flurstuecks- und Eigentuemer-Nachweis */
+p.fshis		{text-align: right; background: gray;	 color: white;}		/* Flurstuecks-Historie */
+p.gbkennz	{text-align: right; background: green;	 color: silver;}	/* Bestandsnachweis */
 p.nakennz	{text-align: right; background: maroon; color: silver;}	/* Personen- und Adressdaten */
 p.geb			{text-align: right; background: yellow; color: gray;}		/* Gebaeude zum FS */
-p.lage		{text-align: right; background: lime; color: gray;}		/* Gebaeude zum FS */
+p.lage		{text-align: right; background: lime;   color: gray;}		/* Lage/Adresse zum FS */
+p.recht		{text-align: right; background: #F0F8FF; color: gray;}	/* Baurecht, Bodenneuordnung */
 
 p.bezieh	{text-align: right; background: olive;	color: silver;} /* Beziehungen */
Index: trunk/info/info/alkis/alkisinlaybaurecht.php
===================================================================
--- trunk/info/info/alkis/alkisinlaybaurecht.php	(revision 286)
+++ trunk/info/info/alkis/alkisinlaybaurecht.php	(revision 287)
@@ -4,11 +4,12 @@
 
 	Version:
-	26.07.2011  debug
-	28.11.2011  import_request_variables
-	14.12.2011  function imFenster
+	2011-07-26  debug
+	2011-11-28  import_request_variables
+	2011-12-14  function imFenster
 	2013-04-08  deprecated "import_request_variables" ersetzt
+	2013-06-27	hiervon neue Variante alkisbaurecht (ohne "inlay"), 
+					dafÃŒr hier die SchlÃŒssel ganz raus und FlurstÃŒcks-Verschneidung raus.
 */
 session_start();
-//import_request_variables("G"); // php 5.3 deprecated, php 5.4 entfernt
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -29,6 +30,7 @@
 	function imFenster(dieURL) {
 		var link = encodeURI(dieURL);
-		window.open(link,'','left=10,top=10,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+		window.open(link,'','left=30,top=30,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
 	}
+	</script>
 	</script>
 </head>
@@ -38,9 +40,8 @@
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
-if ($debug > 1) {echo "<p class='err'>DB=".$dbname.", user=".$dbuser."</p>";}
 
 // wie View "baurecht"
-$sql ="SELECT r.ogc_fid,  r.artderfestlegung as adfkey, r.name, r.stelle, r.bezeichnung AS rechtbez, ";
-$sql.="a.bezeichner  AS adfbez, d.bezeichnung AS stellbez, d.stellenart, ";
+$sql ="SELECT r.ogc_fid, r.name, r.stelle, r.bezeichnung AS rechtbez, ";
+$sql.="a.bezeichner  AS adfbez, d.bezeichnung AS stellbez, ";
 $sql.="round(st_area(r.wkb_geometry)::numeric,0) AS flae ";
 $sql.="FROM ax_bauraumoderbodenordnungsrecht r ";
@@ -59,9 +60,11 @@
 echo "\n<h2><img src='ico/Gericht.ico' width='16' height='16' alt=''> Bau-, Raum- oder Bodenordnungsrecht</h2>\n";
 
+// ToDo: ++++ Spalte anfÃŒgen, darin Link auf neue Variante alkisbaurecht.php
+
 if ($row = pg_fetch_array($res)) {
 	echo "\n<table>";
 
 		echo "\n<tr>";
-			echo "\n\t<td class='li'>Art der Festlegung:</td>\n\t<td><span class='key'>(".$row["adfkey"].")</span> ";
+			echo "\n\t<td class='li'>Art der Festlegung:</td>\n\t<td>";
 			echo "<span class='wichtig'>".$row["adfbez"]."</span></td>";
 		echo "\n</tr>";
@@ -81,9 +84,5 @@
 		if ($stell != "") {
 			echo "\n<tr>";
-				echo "\n\t<td class='li'>Dienststelle:</td>\n\t<td><span class='key'>(".$stell.")</span> ".$row["stellbez"];
-				$stellart=$row["stellenart"];
-				if ($stellart != "") {
-					echo " (".$stellart.")"; // d.stellenart -- weiter entschluesseln
-				}
+				echo "\n\t<td class='li'>Dienststelle:</td>\n\t<td>".$row["stellbez"];
 				echo "</td>";
 			echo "\n</tr>";
@@ -101,58 +100,8 @@
 }
 
-echo "\n<h2><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> betroffene Flurst&uuml;cke</h2>\n";
-echo "\n<p>Ermittelt durch geometrische Verschneidung. Nach Gr&ouml;&szlig;e absteigend.</p>";
-
-$sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, ";
-$sql.="round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae ";
-$sql.="FROM ax_flurstueck f, ax_bauraumoderbodenordnungsrecht r  ";
-$sql.="WHERE r.gml_id= $1 "; 
-$sql.="AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true ";
-$sql.="AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0.05 ";  // > 0.0 ist gemeint, Ungenauigkeit durch st_simplify
-$sql.="ORDER BY schnittflae DESC ";
-$sql.="LIMIT 40;"; // Limit: Flurbereinig. kann gross werden!
-// Trotz Limit lange Antwortzeit, wegen OrderBy -> intersection
-$v = array($gmlid);
-$res = pg_prepare("", $sql);
-$res = pg_execute("", $v);
-
-if (!$res) {
-	echo "\n<p class='err'>Keine Flurst&uuml;cke ermittelt.<br>\nSQL=<br></p>\n";
-	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = ".$gmlid."</p>\n";}
-}
-
-echo "\n<table class='fs'>";
-	echo "\n<tr>"; // Header
-		echo "\n\t<td class='head' title='Flur- und Flurst&uuml;cksnummer'>Flurst&uuml;ck</td>";
-		echo "\n\t<td class='head fla' title='geometrische Schnittfl&auml;che'>Fl&auml;che</td>";
-		echo "\n\t<td class='head fla' title='amtliche Flurst&uuml;cksfl&auml;che, Buchfl&auml;che'>von</td>";
-		echo "\n\t<td class='head nwlink' title='Link zum Flurst&uuml;ck'>weitere Auskunft</td>";
-	echo "\n</tr>";
-
-	$fscnt=0;
-	while($row = pg_fetch_array($res)) {
-		$fscnt++;
-		echo "\n<tr>";
-			echo "\n\t<td>".$row["flurnummer"]."-<span class='wichtig'>".$row["zaehler"];
-			$nen=$row["nenner"];
-			if ($nen != "") {
-				echo "/".$nen;
-			}
-			echo "</span></td>";
-			echo "\n\t<td class='fla'>".$row["schnittflae"]." m&#178;</td>"; 
-			echo "\n\t<td class='fla'>".$row["amtlicheflaeche"]." m&#178;</td>";
-			echo "\n\t<td class='nwlink noprint'>";
-				echo "\n\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"]."&amp;eig=n\")' " ;
-					echo "title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
-					echo "\n\t\t\t<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
-				echo "\n\t\t</a>";
-			echo "\n\t</td>";
-		echo "\n</tr>";
-	}
-echo "\n</table>";
-
-if ($fscnt == 40) {
-	echo "<p>... und weitere Flurst&uuml;cke (Limit 40 erreicht).</p>";
-}
+echo "\n<p class='nwlink'>";
+	echo "\n\t<a href='javascript:imFenster(\"alkisbaurecht.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' ";
+	echo "' title='Bau-, Raum- oder Bodenordnungsrecht'>Weitere Auskunft <img src='ico/Gericht.ico' width='16' height='16' alt=''></a>";
+echo "\n</p>";
 
 ?>
Index: trunk/info/info/alkis/alkisbaurecht.php
===================================================================
--- trunk/info/info/alkis/alkisbaurecht.php	(revision 287)
+++ trunk/info/info/alkis/alkisbaurecht.php	(revision 287)
@@ -0,0 +1,198 @@
+<?php
+/*	alkisbaurecht.php - Baurecht
+	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+
+	Version:
+	2013-06-27	Neu als Variante von alkis*inlay*baurecht.ph (mit Footer, Balken und Umschaltung Key)
+*/
+session_start();
+$cntget = extract($_GET);
+require_once("alkis_conf_location.php");
+if ($auth == "mapbender") {require_once($mapbender);}
+include("alkisfkt.php"); // f. Footer
+if ($id == "j") {$idanzeige=true;} else {$idanzeige=false;}
+$keys = isset($_GET["showkey"]) ? $_GET["showkey"] : "n";
+if ($keys == "j") {$showkey=true;} else {$showkey=false;}
+
+?>
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta name="author" content="b600352" >
+	<meta http-equiv="cache-control" content="no-cache">
+	<meta http-equiv="pragma" content="no-cache">
+	<meta http-equiv="expires" content="0">
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<title>ALKIS Bau-, Raum- oder Bodenordnungsrecht</title>
+	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
+	<link rel="shortcut icon" type="image/x-icon" href="ico/Gericht.ico">
+	<script type="text/javascript">
+	function imFenster(dieURL) {
+		var link = encodeURI(dieURL);
+		window.open(link,'','left=10,top=10,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+	}
+	</script>
+</head>
+<body>
+
+<?php
+$con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
+
+// wie View "baurecht"
+$sql ="SELECT r.ogc_fid, r.artderfestlegung as adfkey, r.name, r.stelle, r.bezeichnung AS rechtbez, ";
+$sql.="a.bezeichner AS adfbez, d.bezeichnung AS stellbez, d.stellenart, ";
+$sql.="round(st_area(r.wkb_geometry)::numeric,0) AS flae ";
+$sql.="FROM ax_bauraumoderbodenordnungsrecht r ";
+$sql.="LEFT JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON r.artderfestlegung = a.wert ";
+$sql.="LEFT JOIN ax_dienststelle d ON r.land = d.land AND r.stelle = d.stelle ";
+$sql.="WHERE r.gml_id= $1 ;";
+
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
+if (!$res) {
+	echo "\n<p class='err'>Fehler bei Baurecht.</p>\n";
+	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = ".$gmlid."</p>\n";}
+}
+
+if ($row = pg_fetch_array($res)) {
+	$artfest=$row["adfkey"];  // Art der Festlegung, Key
+	$verfnr=$row["rechtbez"]; // Verfahrens-Nummer
+
+	// Balken
+	echo "<p class='recht'>ALKIS Bau-, Raum- oder Bodenordnungsrecht ".$artfest."-".$verfnr."&nbsp;</p>\n";
+
+	echo "\n<h2><img src='ico/Gericht.ico' width='16' height='16' alt=''> Bau-, Raum- oder Bodenordnungsrecht</h2>\n";
+
+	echo "\n<table>";
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Art der Festlegung:</td>\n\t<td>";
+			if ($showkey) {
+				echo "<span class='key'>(".$artfest.")</span> ";
+			}
+			echo "<span class='wichtig'>".$row["adfbez"]."</span></td>";
+		echo "\n</tr>";
+
+		$enam=$row["name"];
+		if ($enam != "") {
+			echo "\n<tr>";
+				echo "\n\t<td class='li'>Eigenname des Gebietes:</td>\n\t<td>".$enam."</td>";
+			echo "\n</tr>";
+		}
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Verfahrensnummer:</td>";
+			echo "\n\t<td>".$verfnr."</td>";
+			// if ($idanzeige) {linkgml($gkz, $gmlid, "Verfahren"); } // KEINE Bez.!
+		echo "\n</tr>";
+
+		$stellk=$row["stelle"]; // LEFT JOIN !
+		$stellb=$row["stellbez"];
+		$stella=$row["stellenart"];
+		if ($stellb != "") { // z.B. Umlegung mit und Baulast ohne Dienststelle
+			echo "\n<tr>";
+				echo "\n\t<td class='li'>Dienststelle:</td>\n\t<td>";
+					if ($showkey) {echo "<span class='key'>(".$stellk.")</span> ";}
+					echo $stellb;
+				echo "</td>";
+			echo "\n</tr>";
+			if ($stella != "") {
+				echo "\n<tr>";
+					echo "\n\t<td class='li'>Art der Dienststelle:</td>";
+					echo "\n\t<td>";
+						if ($showkey) {echo " <span class='key'>(".$stella.")</span>";}
+						// d.stellenart -- weiter entschluesseln 1000, 1200, 1300
+						// Dazu SchlÃŒsseltabelle aus GeoInfoDok erfassen
+						echo "&nbsp;"; // Platzhalter
+					echo "</td>";
+				echo "\n</tr>";
+			}
+		}
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Fl&auml;che:</td>";
+			$flae=number_format($row["flae"],0,",",".")." m&#178;";
+			echo "\n\t<td>".$flae."</td>";
+		echo "\n</tr>";
+
+	echo "\n</table>";
+} else {
+	echo "\n<p class='err'>Fehler! Kein Treffer bei gml_id=".$gmlid."</p>";
+}
+
+echo "\n<h2><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> betroffene Flurst&uuml;cke</h2>\n";
+echo "\n<p>Ermittelt durch geometrische Verschneidung. Nach Gr&ouml;&szlig;e absteigend.</p>";
+
+$sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, ";
+$sql.="round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae ";
+$sql.="FROM ax_flurstueck f, ax_bauraumoderbodenordnungsrecht r  ";
+$sql.="WHERE r.gml_id= $1 "; 
+$sql.="AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true ";
+$sql.="AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0.05 ";  // > 0.0 ist gemeint, Ungenauigkeit durch st_simplify
+$sql.="ORDER BY schnittflae DESC ";
+$sql.="LIMIT 40;"; // Limit: Flurbereinig. kann gross werden!
+// Trotz Limit lange Antwortzeit, wegen OrderBy -> intersection
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
+if (!$res) {
+	echo "\n<p class='err'>Keine Flurst&uuml;cke ermittelt.<br>\nSQL=<br></p>\n";
+	if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = ".$gmlid."</p>\n";}
+}
+
+echo "\n<table class='fs'>";
+	echo "\n<tr>"; // Header
+		echo "\n\t<td class='head' title='Flur- und Flurst&uuml;cksnummer'>Flurst&uuml;ck</td>";
+		echo "\n\t<td class='head fla' title='geometrische Schnittfl&auml;che'>Fl&auml;che</td>";
+		echo "\n\t<td class='head fla' title='amtliche Flurst&uuml;cksfl&auml;che, Buchfl&auml;che'>von</td>";
+		echo "\n\t<td class='head nwlink' title='Link zum Flurst&uuml;ck'>weitere Auskunft</td>";
+	echo "\n</tr>";
+
+	$fscnt=0;
+	while($row = pg_fetch_array($res)) {
+		$fscnt++;
+		echo "\n<tr>";
+			echo "\n\t<td>".$row["flurnummer"]."-<span class='wichtig'>".$row["zaehler"];
+			$nen=$row["nenner"];
+			if ($nen != "") {
+				echo "/".$nen;
+			}
+			echo "</span></td>";
+			echo "\n\t<td class='fla'>".$row["schnittflae"]." m&#178;</td>"; 
+			echo "\n\t<td class='fla'>".$row["amtlicheflaeche"]." m&#178;</td>";
+			echo "\n\t<td class='nwlink noprint'>";
+				echo "\n\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"]."&amp;eig=n\")' " ;
+					echo "title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
+					echo "\n\t\t\t<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+				echo "\n\t\t</a>";
+			echo "\n\t</td>";
+		echo "\n</tr>";
+	}
+echo "\n</table>";
+
+if ($fscnt == 40) {
+	echo "<p>... und weitere Flurst&uuml;cke (Limit 40 erreicht).</p>";
+}
+
+pg_close($con);
+echo <<<END
+
+<form action=''>
+	<div class='buttonbereich noprint'>
+	<hr>
+		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.ico" width="16" height="16" alt="zur&uuml;ck" /></a>&nbsp;
+		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken" /></a>&nbsp;
+	</div>
+</form>
+END;
+
+footer($gmlid, $_SERVER['PHP_SELF']."?", "");
+
+?>
+
+</body>
+</html>