Index: /trunk/info/info/alkis/alkisfsnw.php
===================================================================
--- /trunk/info/info/alkis/alkisfsnw.php	(revision 287)
+++ /trunk/info/info/alkis/alkisfsnw.php	(revision 288)
@@ -510,10 +510,4 @@
 $res_strittigeGrenze = pg_execute($con, "strittigeGrenze", array($gmlid));
 
-// Testfall suchen: FlurstÃŒcke mit strittigen Grenzen
-// SELECT f.gml_id  FROM ax_flurstueck f WHERE ST_touches(f.wkb_geometry, (SELECT g.wkb_geometry FROM ax_besondereflurstuecksgrenze g WHERE 1000 = ANY(g.artderflurstuecksgrenze))) LIMIT 20;
-// alkis 150:
-// str.Gr:  DENW17AL0000Vvbw   DENW17AL0000VrG6  DENW17AL0000ViIt
-// Verf.:   DENW17AL0000VyQe
-
 if (pg_num_rows($res_bodeneuordnung) > 0 OR pg_num_rows($res_strittigeGrenze) > 0) {
 	echo "\n<tr>";
Index: /trunk/info/info/alkis/alkisbaurecht.php
===================================================================
--- /trunk/info/info/alkis/alkisbaurecht.php	(revision 287)
+++ /trunk/info/info/alkis/alkisbaurecht.php	(revision 288)
@@ -27,10 +27,4 @@
 	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Gericht.ico">
-	<script type="text/javascript">
-	function imFenster(dieURL) {
-		var link = encodeURI(dieURL);
-		window.open(link,'','left=10,top=10,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
-	}
-	</script>
 </head>
 <body>
@@ -61,4 +55,8 @@
 	$artfest=$row["adfkey"];  // Art der Festlegung, Key
 	$verfnr=$row["rechtbez"]; // Verfahrens-Nummer
+	$enam=$row["name"];
+	$stellk=$row["stelle"]; // LEFT JOIN !
+	$stellb=$row["stellbez"];
+	$stella=$row["stellenart"];
 
 	// Balken
@@ -77,5 +75,4 @@
 		echo "\n</tr>";
 
-		$enam=$row["name"];
 		if ($enam != "") {
 			echo "\n<tr>";
@@ -84,13 +81,12 @@
 		}
 
-		echo "\n<tr>";
-			echo "\n\t<td class='li'>Verfahrensnummer:</td>";
-			echo "\n\t<td>".$verfnr."</td>";
-			// if ($idanzeige) {linkgml($gkz, $gmlid, "Verfahren"); } // KEINE Bez.!
-		echo "\n</tr>";
+		if ($verfnr != "") {
+			echo "\n<tr>";
+				echo "\n\t<td class='li'>Verfahrensnummer:</td>";
+				echo "\n\t<td>".$verfnr."</td>";
+				// if ($idanzeige) {linkgml($gkz, $gmlid, "Verfahren"); } // KEINE Bez.!
+			echo "\n</tr>";
+		}
 
-		$stellk=$row["stelle"]; // LEFT JOIN !
-		$stellb=$row["stellbez"];
-		$stella=$row["stellenart"];
 		if ($stellb != "") { // z.B. Umlegung mit und Baulast ohne Dienststelle
 			echo "\n<tr>";
@@ -166,5 +162,5 @@
 			echo "\n\t<td class='fla'>".$row["amtlicheflaeche"]." m&#178;</td>";
 			echo "\n\t<td class='nwlink noprint'>";
-				echo "\n\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"]."&amp;eig=n\")' " ;
+				echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"]."&amp;eig=n' " ;
 					echo "title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
 					echo "\n\t\t\t<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
Index: /trunk/info/info/alkis/alkisinlayausk.php
===================================================================
--- /trunk/info/info/alkis/alkisinlayausk.php	(revision 287)
+++ /trunk/info/info/alkis/alkisinlayausk.php	(revision 288)
@@ -8,6 +8,5 @@
 	Eigentuemer ohne Adresse.
 	Fuer detaillierte Angaben wird zum GB- oder FS-Nachweis verlinkt.
-	Dies ist eine Variante von alkisausk.ph 
-	 welches als vollstaendige Seite aufgerufen wird.
+	Dies ist eine Variante von alkisausk.ph welches als vollstaendige Seite aufgerufen wird.
 
 	Version:
@@ -16,4 +15,5 @@
 	2011-12-14  "window.open(..,width=680)"
 	2013-04-08  deprecated "import_request_variables" ersetzt
+	2013-05-06	Fehlende Leerstelle
 */
 session_start();
@@ -200,5 +200,5 @@
 		echo "\n</td>\n<td>";
 		echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
-			echo "\n\t\t<a href='javascript:imFenster(\"alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0]."\")'";
+			echo "\n\t\t<a href='javascript:imFenster(\"alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0]."\")' ";
 				echo "title='Grundbuchnachweis'>";
 				echo $blattart;