Index: trunk/import/pp_praesentation_action.sql
===================================================================
--- trunk/import/pp_praesentation_action.sql	(revision 295)
+++ trunk/import/pp_praesentation_action.sql	(revision 296)
@@ -12,8 +12,9 @@
 --  2013-10-17  F.J. krz: Relation "dientZurDarstellungVon" macht es einfacher
 
--- ToDo:
---  Konverter-Tabelle ap_pto unberÃŒhrt lassen.
---  Besser aus ap_pto und den ErgÃ€nzungen eine PrÃ€sentationstabelle fÃŒr StraÃen fÃŒr den WMS exportieren. 
---  Es besteht sonst die Gefahr, dass Ãnderungen im Katalog nicht in PTO ÃŒbernommen werden (nur bei: WHERE .. IS NULL)
+--  2013-10-24  F.J. krz: Diese ZwischenlÃ¶sung  N I C H T   M E H R   V E R W E N D E N !
+--                        Die neue LÃ¶sung lÃ€sst die Tabelle "ap_pto" unberÃŒhrt und sammelt die Daten zur PrÃ€sentation
+--                        der StraÃennemen im der Tabelle "pp_strassenname".
+--                        Die LÃ¶sung ist nun integriert in pp_definition.sql und pp_laden.sql 
+
 
 -- ========================================
@@ -22,37 +23,41 @@
 
 -- N a m e n
-UPDATE ap_pto  p          -- PrÃ€sentationsobjekte PunktfÃ¶rmig
-   SET schriftinhalt =    -- Hier fehlt der Label
-   -- Subquery "Gib mir den StraÃennamen":
-   ( SELECT k.bezeichnung                       -- StraÃenname ..
-       FROM ax_lagebezeichnungkatalogeintrag k  --  .. aus Katalog
-       JOIN ax_lagebezeichnungohnehausnummer l  -- verwendet als Lage o.H.
-         ON (k.land=l.land AND k.regierungsbezirk=l.regierungsbezirk 
-             AND k.kreis=l.kreis AND k.gemeinde=l.gemeinde AND k.lage=l.lage )
-       JOIN alkis_beziehungen x ON l.gml_id = x.beziehung_zu  -- Relation zum PrÃ€sentationsobjekt
-      WHERE p.gml_id = x.beziehung_von
-        AND x.beziehungsart = 'dientZurDarstellungVon'
-      -- LIMIT 1 -- war in einem Fall notwendig, wo 2mal der gleiche Text zugeordnet war, Ursache?
-   )
- WHERE     p.art = 'Strasse' -- Filter
-   AND     p.schriftinhalt IS NULL
-   AND NOT p.wkb_geometry  IS NULL;
+
+--	UPDATE ap_pto  p          -- PrÃ€sentationsobjekte PunktfÃ¶rmig
+--	   SET schriftinhalt =    -- Hier fehlt der Label
+--	   -- Subquery "Gib mir den StraÃennamen":
+--	   ( SELECT k.bezeichnung                       -- StraÃenname ..
+--		   FROM ax_lagebezeichnungkatalogeintrag k  --  .. aus Katalog
+--		   JOIN ax_lagebezeichnungohnehausnummer l  -- verwendet als Lage o.H.
+--			 ON (k.land=l.land AND k.regierungsbezirk=l.regierungsbezirk 
+--				 AND k.kreis=l.kreis AND k.gemeinde=l.gemeinde AND k.lage=l.lage )
+--		   JOIN alkis_beziehungen x ON l.gml_id = x.beziehung_zu  -- Relation zum PrÃ€sentationsobjekt
+--		  WHERE p.gml_id = x.beziehung_von
+--			AND x.beziehungsart = 'dientZurDarstellungVon'
+--		  -- LIMIT 1 -- war in einem Fall notwendig, wo 2mal der gleiche Text zugeordnet war, Ursache?
+--	   )
+--	 WHERE     p.art = 'Strasse' -- Filter
+--	   AND     p.schriftinhalt IS NULL
+--	   AND NOT p.wkb_geometry  IS NULL;
+--
 
 
 -- K l a s s i f i k a t i o n e n   (analog zu Strassen)
-UPDATE ap_pto  p          -- PrÃ€sentationsobjekte PunktfÃ¶rmig
-   SET schriftinhalt =    -- Hier fehlt der Label
-   ( SELECT k.bezeichnung                       -- Klassifikation "B nnn", "L nnn", "K nnn"
-       FROM ax_lagebezeichnungkatalogeintrag k  -- .. aus Katalog
-       JOIN ax_lagebezeichnungohnehausnummer l  -- verwendet als Lage o.H.
-         ON (k.land=l.land AND k.regierungsbezirk=l.regierungsbezirk 
-             AND k.kreis=l.kreis AND k.gemeinde=l.gemeinde AND k.lage=l.lage )
-       JOIN alkis_beziehungen x ON l.gml_id = x.beziehung_zu  -- Relation zum PrÃ€sentationsobjekt
-      WHERE p.gml_id = x.beziehung_von
-        AND x.beziehungsart = 'dientZurDarstellungVon'
-   )
- WHERE     p.art = 'BezKlassifizierungStrasse' -- Filter
-   AND     p.schriftinhalt IS NULL
-   AND NOT p.wkb_geometry  IS NULL;
+
+--	UPDATE ap_pto  p          -- PrÃ€sentationsobjekte PunktfÃ¶rmig
+--	   SET schriftinhalt =    -- Hier fehlt der Label
+--	   ( SELECT k.bezeichnung                       -- Klassifikation "B nnn", "L nnn", "K nnn"
+--		   FROM ax_lagebezeichnungkatalogeintrag k  -- .. aus Katalog
+--		   JOIN ax_lagebezeichnungohnehausnummer l  -- verwendet als Lage o.H.
+--			 ON (k.land=l.land AND k.regierungsbezirk=l.regierungsbezirk 
+--				 AND k.kreis=l.kreis AND k.gemeinde=l.gemeinde AND k.lage=l.lage )
+--		   JOIN alkis_beziehungen x ON l.gml_id = x.beziehung_zu  -- Relation zum PrÃ€sentationsobjekt
+--		  WHERE p.gml_id = x.beziehung_von
+--			AND x.beziehungsart = 'dientZurDarstellungVon'
+--	   )
+--	 WHERE     p.art = 'BezKlassifizierungStrasse' -- Filter
+--	   AND     p.schriftinhalt IS NULL
+--	   AND NOT p.wkb_geometry  IS NULL;
+--
 
 -- ENDE --
Index: trunk/import/grant.sql
===================================================================
--- trunk/import/grant.sql	(revision 295)
+++ trunk/import/grant.sql	(revision 296)
@@ -15,5 +15,6 @@
 --              View "s_nummer_nebengebaeude" wird durch "lfdnr_nebengebaeude" ersetzt.
 --  2013-03-25  View "grenzpunkt" und "gebaeude_txt"
---  2013-04-16  Views zum Thema Bodenscätzung
+--  2013-04-19  Neues zum Thema "Bodenschätzung", Views entfallen
+--  2013-10-24  Table "pp_strassenname" ersetzt View "ap_pto_stra" im WMS (ms6)
 
 -- Tabellen
@@ -254,8 +255,8 @@
   GRANT SELECT ON TABLE nutzung_class                      TO mb27;
 
--- post_processung: Gemeinde / Gemarkung / Flur
+-- Post-Processung
 -- --------------------------------------------
-  GRANT SELECT ON TABLE  gemarkung_in_gemeinde             TO ms6; -- View
-  GRANT SELECT ON TABLE  gemarkung_in_gemeinde             TO mb27;
+--GRANT SELECT ON TABLE  gemarkung_in_gemeinde             TO ms6;
+--GRANT SELECT ON TABLE  gemarkung_in_gemeinde             TO mb27;
   GRANT SELECT ON TABLE  gemeinde_gemarkung                TO ms6;
   GRANT SELECT ON TABLE  gemeinde_gemarkung                TO mb27;
@@ -267,4 +268,5 @@
   GRANT SELECT ON TABLE  pp_flur                           TO mb27;
   GRANT SELECT ON TABLE  pp_flurstueck_nr                  TO ms6;
+  GRANT SELECT ON TABLE  pp_strassenname                   TO ms6;
   GRANT SELECT ON TABLE  gemeinde_person                   TO ms6;
   GRANT SELECT ON TABLE  gemeinde_person                   TO mb27;
@@ -296,15 +298,20 @@
 GRANT SELECT ON TABLE ax_bodenschaetzung_zustandsstufe     TO ms6;
 GRANT SELECT ON TABLE ax_bodenschaetzung_zustandsstufe     TO mb27;
+GRANT SELECT ON TABLE ax_bodenschaetzung_sonstigeangaben   TO ms6;
+GRANT SELECT ON TABLE ax_bodenschaetzung_sonstigeangaben   TO mb27;
 GRANT SELECT ON TABLE ax_grablochderbodenschaetzung_bedeutung          TO ms6;
 GRANT SELECT ON TABLE ax_grablochderbodenschaetzung_bedeutung          TO mb27;
 GRANT SELECT ON TABLE ax_musterlandesmusterundvergleichsstueck_merkmal TO ms6;
 GRANT SELECT ON TABLE ax_musterlandesmusterundvergleichsstueck_merkmal TO mb27;
+GRANT SELECT ON TABLE ax_bewertung_klassifizierung         TO ms6;
+GRANT SELECT ON TABLE ax_bewertung_klassifizierung         TO mb27;
+
 -- Bodenschätzung Views
-GRANT SELECT ON TABLE s_bodensch_wms TO ms6;
-GRANT SELECT ON TABLE s_bodensch_ent TO ms6;
-GRANT SELECT ON TABLE s_bodensch_po  TO ms6;
-GRANT SELECT ON TABLE s_bodensch_tx  TO ms6;
-GRANT SELECT ON TABLE s_zuordungspfeilspitze_bodensch TO ms6;
-GRANT SELECT ON TABLE s_zuordungspfeil_bodensch       TO ms6;
+GRANT SELECT ON TABLE s_bodensch_wms                       TO ms6;
+GRANT SELECT ON TABLE s_bodensch_ent                       TO ms6;
+GRANT SELECT ON TABLE s_bodensch_po                        TO ms6;
+GRANT SELECT ON TABLE s_bodensch_tx                        TO ms6;
+GRANT SELECT ON TABLE s_zuordungspfeilspitze_bodensch      TO ms6;
+GRANT SELECT ON TABLE s_zuordungspfeil_bodensch            TO ms6;
 
 -- Recht
@@ -346,7 +353,7 @@
   GRANT SELECT ON TABLE s_zuordungspfeilspitze_bodensch    TO ms6;
   GRANT SELECT ON TABLE s_zuordungspfeil_gebaeude          TO ms6;
-  GRANT SELECT ON TABLE s_flurstueck_nr                    TO ms6;
+--GRANT SELECT ON TABLE s_flurstueck_nr                    TO ms6;
 --GRANT SELECT ON TABLE s_beschriftung                     TO ms6;
-  GRANT SELECT ON TABLE ap_pto_stra                        TO ms6;
+--GRANT SELECT ON TABLE ap_pto_stra                        TO ms6;
   GRANT SELECT ON TABLE ap_pto_rest                        TO ms6;
   GRANT SELECT ON TABLE grenzpunkt                         TO ms6;
Index: trunk/import/pp_laden.sql
===================================================================
--- trunk/import/pp_laden.sql	(revision 295)
+++ trunk/import/pp_laden.sql	(revision 296)
@@ -14,4 +14,6 @@
 --  2013-02-06 A.E. Function-Name an PostGIS 2 angepasst: multi() -> st_multi(), simplify() -> st_simplify()
 --  2013-02-21 F.J. doppelte Buchungen zum Flurstück aus alkis_beziehungen beseitigen, die nach NAS replace auftreten
+--  2013-07-10 F.J. Bereinigen der alkis_beziehungen auskommentiert, wird jetzt im Trigger gelöst.
+--  2012-10-24 Neue Tabelle für die Präsentation von Straßennamen und -Klassifikationen
 
 -- ============================
@@ -40,14 +42,18 @@
 -- Siehe Schema in FUNCTION delete_feature_kill
 
-DELETE 
-  FROM alkis_beziehungen AS bezalt        -- Beziehung Alt
- WHERE EXISTS
-       (SELECT ogc_fid
-         FROM alkis_beziehungen AS bezneu -- Beziehung Neu
-        WHERE bezalt.beziehung_von = bezneu.beziehung_von
-          AND bezalt.beziehung_zu  = bezneu.beziehung_zu
-          AND bezalt.beziehungsart = bezneu.beziehungsart
-          AND bezalt.ogc_fid       < bezneu.ogc_fid
-        );
+-- 2013-07-10 Das folgende Delete auskommentiert. Das wird jetzt im Trigger gelöst.
+------
+--	DELETE 
+--	  FROM alkis_beziehungen AS bezalt        -- Beziehung Alt
+--	 WHERE EXISTS
+--		   (SELECT ogc_fid
+--			 FROM alkis_beziehungen AS bezneu -- Beziehung Neu
+--			WHERE bezalt.beziehung_von = bezneu.beziehung_von
+--			  AND bezalt.beziehung_zu  = bezneu.beziehung_zu
+--			  AND bezalt.beziehungsart = bezneu.beziehungsart
+--			  AND bezalt.ogc_fid       < bezneu.ogc_fid
+--			);
+------
+
 -- Denkbar ist eine Variante für den Trigger, die zusätzlich
 -- auf eine bestimmte gml_id filtert.
@@ -95,33 +101,35 @@
 
 
--- Version Frank Jäger, Lemgo 
-DELETE
--- SELECT *   -- TEST: erst mal schauen, was gelöscht würde, wenn ...
-FROM alkis_beziehungen b
-WHERE b.beziehungsart = 'istGebucht'
-  -- Die erste subquery zählt die Buchungen zu einer (Flurstücks-) gml_id.
-  -- Es wird nur dort gelöscht, wo mehrerer Buchungen existieren.
-  AND 1 < 
-     ( SELECT count(f1.ogc_fid) AS anzfs
-        FROM ax_flurstueck f1
-        JOIN alkis_beziehungen z
-          ON f1.gml_id = z.beziehung_von
-       WHERE f1.gml_id = b.beziehung_von
-         AND z.beziehungsart = 'istGebucht'
-       GROUP BY f1.gml_id )
-  -- Die zweite Subquery liefert die letzte (= aktuelle) Beziehung.
-  -- Diese aktuelle Buchung wird vom Löschen ausgeschlossen.
-  AND b.ogc_fid <
-     ( SELECT max(a.ogc_fid) AS maxi
-        FROM ax_flurstueck f2
-        JOIN alkis_beziehungen a
-          ON f2.gml_id = a.beziehung_von
-       WHERE f2.gml_id = b.beziehung_von
-         AND a.beziehungsart = 'istGebucht'
-       GROUP BY a.beziehung_von )
--- bei Test mit SELECT darf man sortieren:
---  ORDER BY b.beziehung_von, b.ogc_fid
-;
-
+-- 2013-07-10 Das folgende Delete auskommentiert. Das wird jetzt im Trigger gelöst
+------
+--	-- Version Frank Jäger, Lemgo 
+--	DELETE
+--	-- SELECT *   -- TEST: erst mal schauen, was gelöscht würde, wenn ...
+--	FROM alkis_beziehungen b
+--	WHERE b.beziehungsart = 'istGebucht'
+--	  -- Die erste subquery zählt die Buchungen zu einer (Flurstücks-) gml_id.
+--	  -- Es wird nur dort gelöscht, wo mehrerer Buchungen existieren.
+--	  AND 1 < 
+--		 ( SELECT count(f1.ogc_fid) AS anzfs
+--			FROM ax_flurstueck f1
+--			JOIN alkis_beziehungen z
+--			  ON f1.gml_id = z.beziehung_von
+--		   WHERE f1.gml_id = b.beziehung_von
+--			 AND z.beziehungsart = 'istGebucht'
+--		   GROUP BY f1.gml_id )
+--	  -- Die zweite Subquery liefert die letzte (= aktuelle) Beziehung.
+--	  -- Diese aktuelle Buchung wird vom Löschen ausgeschlossen.
+--	  AND b.ogc_fid <
+--		 ( SELECT max(a.ogc_fid) AS maxi
+--			FROM ax_flurstueck f2
+--			JOIN alkis_beziehungen a
+--			  ON f2.gml_id = a.beziehung_von
+--		   WHERE f2.gml_id = b.beziehung_von
+--			 AND a.beziehungsart = 'istGebucht'
+--		   GROUP BY a.beziehung_von )
+--	-- bei Test mit SELECT darf man sortieren:
+--	--  ORDER BY b.beziehung_von, b.ogc_fid
+--	;
+------
 
 
@@ -190,4 +198,36 @@
 
 
+-- Straßen - N a m e n  und  - K l a s s i f i k a t i o n
+-- NEU 2013-10-24
+-- Tabellen für die Präsentation von Straßen-Namen und -Klassifikationen
+-- Daten aus dem View "ap_pto_stra" werden im PostProcessing gespeichert in der Tabelle "pp_strassenname".
+-- Der View übernimmt die Auswahl des passenden "advstandardmodell" und rechnet den Winkel passend um.
+-- In der Tabelle werden dann die leer gebliebenen Label aus dem Katalog noch ergänzt. 
+
+-- Tabelle aus View befüllen
+TRUNCATE pp_strassenname;
+INSERT INTO pp_strassenname (schriftinhalt, hor, ver, art, winkel, the_geom)
+       SELECT schriftinhalt, hor, ver, art, winkel, wkb_geometry
+       FROM ap_pto_stra; -- View sucht das passende advstandardmodell
+
+-- Schriftinhalt ergänzen
+--DATE ap_pto           p  -- Präsentationsobjekte Punktförmig
+UPDATE pp_strassenname  p
+   SET schriftinhalt =     -- Hier fehlt der Label
+   -- Subquery "Gib mir den Straßennamen":
+   ( SELECT k.bezeichnung                       -- Straßenname ..
+       FROM ax_lagebezeichnungkatalogeintrag k  --  .. aus Katalog
+       JOIN ax_lagebezeichnungohnehausnummer l  -- verwendet als Lage o.H.
+         ON (k.land=l.land AND k.regierungsbezirk=l.regierungsbezirk 
+             AND k.kreis=l.kreis AND k.gemeinde=l.gemeinde AND k.lage=l.lage )
+       JOIN alkis_beziehungen x ON l.gml_id = x.beziehung_zu  -- Relation zum Präsentationsobjekt
+      WHERE p.gml_id = x.beziehung_von
+        AND x.beziehungsart = 'dientZurDarstellungVon'
+      -- LIMIT 1 -- war in einem Fall notwendig, wo 2mal der gleiche Text zugeordnet war, Ursache?
+   )
+ WHERE     p.schriftinhalt IS NULL
+   AND NOT p.the_geom      IS NULL;
+
+
 -- ========================================================
 -- Tabellen fuer die Zuordnung vom Gemarkungen zu Gemeinden
Index: trunk/import/sichten_wms.sql
===================================================================
--- trunk/import/sichten_wms.sql	(revision 295)
+++ trunk/import/sichten_wms.sql	(revision 296)
@@ -20,5 +20,7 @@
 --  2013-04-16 Thema "BodenschÃ€tzung" und fehlernde Kommentare zum Views ergÃ€nzt.
 --             Diese Datei aufgeteilt in "sichten.sql" und "sichten_wms.sql"
---  2013-04-22 ++++ art="PNR" (Pseudonummer)
+--  2013-04-22 art="PNR" (Pseudonummer)
+--  2013-10-24 View ap_pto_stra wird ersetzt durch die Tabellen "pp_strassenname" und "pp_strassenklas", die im postProcessing gefÃŒllt werden.
+
 
 -- WMS-Layer "ag_t_flurstueck"
@@ -329,7 +331,9 @@
 ;
 COMMENT ON VIEW ap_pto_stra 
-  IS 'Sicht fÃŒr Kartendarstellung: Beschriftung aus ap_pto fÃŒr Lagebezeichnung mit Art "StraÃe", "Weg", "Platz" oder Klassifizierung. Vorzugsweise mit advstandardmodell="DKKM1000", ersatzweise ohne Angabe';
--- ToDo: Im PostProcessing in einer Tabelle speichern.
-
+  IS 'Sicht fÃŒr Kartendarstellung: Beschriftung aus ap_pto fÃŒr Lagebezeichnung mit Art "StraÃe", "Weg", "Platz" oder Klassifizierung. Vorzugsweise mit advstandardmodell="DKKM1000", ersatzweise ohne Angabe. Siehe auch pp_strassenname und pp_strassenklas';
+
+-- 2013-10-24: Daten aus dem View "ap_pto_stra" werden im PostProcessing gespeichert in den Tabellen "pp_strassenname" und "pp_strassenklas".
+-- Der View ÃŒbernimmt die Auswahl des passenden advstandardmodell und rechnet den Winkel passend um,
+-- In der Tabelle werden dann die leer gebliebenen Label aus dem Katalog noch ergÃ€nzt.
 
 -- Layer NAME "ap_pto_nam" GROUP "praesentation"
Index: trunk/import/pp_praesentation_sichten.sql
===================================================================
--- trunk/import/pp_praesentation_sichten.sql	(revision 295)
+++ trunk/import/pp_praesentation_sichten.sql	(revision 296)
@@ -109,5 +109,5 @@
 
 
- DROP VIEW  pp_praes_strassen_name_update_vorschau;
+--DROP VIEW  pp_praes_strassen_name_update_vorschau;
 CREATE OR REPLACE VIEW pp_praes_strassen_name_update_vorschau
 AS
@@ -130,5 +130,5 @@
 
 
- DROP VIEW pp_praes_strassen_klass_update_vorschau;
+--DROP VIEW pp_praes_strassen_klass_update_vorschau;
 CREATE OR REPLACE VIEW pp_praes_strassen_klass_update_vorschau
 AS
Index: trunk/import/pp_definition.sql
===================================================================
--- trunk/import/pp_definition.sql	(revision 295)
+++ trunk/import/pp_definition.sql	(revision 296)
@@ -14,4 +14,5 @@
 --  2012-04-25 simple_geom fuer pp_flur
 --  2013-04-18 Kommentare.
+--  2012-10-24 Neue Tabelle fÃŒr die PrÃ€sentation von StraÃennamen und -Klassifikationen
 
 
@@ -359,3 +360,36 @@
 
 
+-- NEU 2013-10-24
+-- Tabelle fÃŒr die PrÃ€sentation von StraÃen-Namen und -Klassifikationen
+-- Tabelle "pp_strassenname" speichert den VIEW "ap_pto_stra".
+
+--DROP TABLE pp_strassenname;
+CREATE TABLE pp_strassenname 
+(   gid		serial NOT NULL,
+    gml_id character(16),
+ -- advstandardmodell character varying[],
+    schriftinhalt character varying, -- Label: anzuzeigender Text
+    hor character varying,
+    ver character varying,
+ -- signaturnummer character varying,
+ -- darstellungsprioritaet integer,
+    art character varying,
+    winkel double precision,
+    CONSTRAINT pp_snam_pk  PRIMARY KEY (gid)
+) WITH (OIDS=FALSE);
+
+SELECT AddGeometryColumn('pp_strassenname','the_geom','25832','POINT',2);
+CREATE INDEX pp_snam_gidx ON pp_strassenname USING gist(the_geom); 
+
+  COMMENT ON TABLE  pp_strassenname                IS 'Post-Processing: Label der StraÃennamen in der Karte. Auszug aus ap_pto.';
+
+  COMMENT ON COLUMN pp_strassenname.gid            IS 'EditierschlÃŒssel der Tabelle';
+  COMMENT ON COLUMN pp_strassenname.gml_id         IS 'ObjektschlÃŒssel des PrÃ€sentationsobjektes aus ap_pto. Zur Verbindung mit Katalog.';
+  COMMENT ON COLUMN pp_strassenname.schriftinhalt  IS 'Label, darzustellender Name der StraÃe oder Klassifikation';
+  COMMENT ON COLUMN pp_strassenname.hor            IS 'Horizontale Ausrichtung des Textes zur Punkt-Koordinate: linksbÃŒndig, zentrisch, ...';
+  COMMENT ON COLUMN pp_strassenname.ver            IS 'Vertikale   Ausrichtung des Textes zur Punkt-Koordinate: Basis, ..';
+  COMMENT ON COLUMN pp_strassenname.art            IS 'Klasse der StraÃe: StraÃe, Weg, .. , BezKlassifizierungStrasse';
+  COMMENT ON COLUMN pp_strassenname.winkel         IS 'Drehung des Textes';
+  COMMENT ON COLUMN pp_strassenname.the_geom       IS 'Position (Punkt) der Labels in der Karte';
+
 -- ENDE --
Index: trunk/import/konv_batch.sh
===================================================================
--- trunk/import/konv_batch.sh	(revision 295)
+++ trunk/import/konv_batch.sh	(revision 296)
@@ -29,4 +29,5 @@
 ##   2013-10-16 F.J. krz: Neues Script "pp_praesentation_action.sql" für Reparatur der 
 ##              Präsentationsobjekte Straßenname im Post-Processing
+##   2013-10-24 F.J. krz: Zwischenlösung "praesentation_action.sql" wieder deaktiviert.
 ##
 ## ToDo: Option "-skipfailures" nach Test entfernen ?
@@ -155,6 +156,6 @@
 
 
-    echo "** - Präsentationsobjekte generieren:"
-    (cd $POSTNAS_HOME; psql -p 5432 -d ${DBNAME} -f pp_praesentation_action.sql)
+    # echo "** - Präsentationsobjekte generieren:"
+    # (cd $POSTNAS_HOME; psql -p 5432 -d ${DBNAME} -f pp_praesentation_action.sql)
 
   fi
Index: trunk/umn/alkis/alkis_muster_entw.map
===================================================================
--- trunk/umn/alkis/alkis_muster_entw.map	(revision 295)
+++ trunk/umn/alkis/alkis_muster_entw.map	(revision 296)
@@ -18,4 +18,7 @@
 # 2013-04-18 F.J. krz  Thema (Gruppe) "BodenschÃ€tzung" wurde ÃŒberarbeitet und vor Gruppe "FlurstÃŒcke" verschoben
 # 2013-06-19 F.J. krz  Layer "ax_untergeordnetesgewaesser_polygon"/"*_line" nach Geometrietyp filtern nicht nach funktion
+# 2013-10-16 F.J. krz  FS-Nr dunkler, besser sichtbar auf SW-Drucker.
+# 2013-10-24 F.J. krz  PrÃ€sentation der StraÃennamen aus der Tabelle "pp_strassenname" statt aus dem View "ap_pto_stra".
+#                      Die Tabelle wird im PostProcessing redundant befÃŒllt um schneller darstellen zu kÃ¶nnen.
 
 ###
@@ -3369,5 +3372,5 @@
 			POSITION cc
 			OFFSET 0 -3.5433
-			COLOR 200 0 0
+			COLOR 100 0 0 # 200 0 0
 			OUTLINECOLOR 254 254 254
 			OUTLINEWIDTH 2
@@ -3886,5 +3889,6 @@
 	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
 	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT * FROM ap_pto_stra) as foo using unique ogc_fid using SRID=25832"
+	#ATA "wkb_geometry from (SELECT * FROM ap_pto_stra) as foo using unique ogc_fid using SRID=25832"
+	DATA "the_geom from (SELECT * FROM pp_strassenname) as foo using unique gid using SRID=25832"
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
Index: trunk/umn/alkis/alkis_muster_entw_4.map
===================================================================
--- trunk/umn/alkis/alkis_muster_entw_4.map	(revision 295)
+++ trunk/umn/alkis/alkis_muster_entw_4.map	(revision 296)
@@ -1,4 +1,7 @@
 # WMS: ALKIS PostNAS Muster mit Platzhalter *gkz* fÃŒr Mandant - Druckversion zur Entwickler-Version
 # 2013-06-19 F.J. krz  Layer "ax_untergeordnetesgewaesser_polygon"/"*_line" nach Geometrietyp filtern nicht nach funktion
+# 2013-10-16 F.J. krz  FS-Nr dunkler, besser sichtbar auf SW-Drucker.
+# 2013-10-24 F.J. krz  PrÃ€sentation der StraÃennamen aus der Tabelle "pp_strassenname" statt aus dem View "ap_pto_stra".
+#                      Die Tabelle wird im PostProcessing redundant befÃŒllt um schneller darstellen zu kÃ¶nnen.
 MAP
 	NAME "alkis"
@@ -2787,5 +2790,5 @@
 			POSITION cc
 			OFFSET 0 -14 # -3.5433
-			COLOR 200 0 0
+			COLOR 100 0 0 # 200 0 0
 			OUTLINECOLOR 254 254 254
 			OUTLINEWIDTH 6 # 2
@@ -3172,5 +3175,6 @@
 	CONNECTION "host=10.0.100.73 dbname=alkis07*gkz* user=ms6 port=5432"
 	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "wkb_geometry from (SELECT * FROM ap_pto_stra) as foo using unique ogc_fid using SRID=25832"
+	#ATA "wkb_geometry from (SELECT * FROM ap_pto_stra) as foo using unique ogc_fid using SRID=25832"
+	DATA "the_geom from (SELECT * FROM pp_strassenname) as foo using unique gid using SRID=25832"
 	METADATA
 		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"